# timer.S File Reference

Go to the source code of this file.

## Functions

globl timerInt text code32 dx mov ax outb dx movl ecx | incl (%ecx) movl 4(%ecx)

## Variables

globl timerInt text code32 dx mov ax outb | al
globl timerInt text code32 dx mov ax outb dx movl ecx eax ebx xor edx div ebx test | edx
globl timerInt text code32 dx mov ax outb dx movl ecx eax ebx xor | edx
globl timerInt text code32 dx mov ax outb dx movl ecx eax | movl
globl timerInt text code32 dx mov ax outb dx movl | systemVitals
globl timerInt text code32 | timerInt
globl timerInt text code32 dx mov | x20

## Function Documentation

globl timerInt text code32 dx mov ax outb dx movl ecx incl | ( | % | ecx | ) |

## Variable Documentation

globl timerInt text code32 dx mov ax outb al

Definition at line 35 of file timer.S.

globl timerInt text code32 dx mov ax outb dx movl ecx eax ebx xor edx div ebx test edx

Definition at line 41 of file timer.S.

globl timerInt text code32 dx mov ax outb dx movl ecx eax ebx xor edx

Definition at line 41 of file timer.S.

globl _vmm_pageFault text code32 esp eax pushl ebx movl

Definition at line 41 of file timer.S.

globl timerInt text code32 dx mov ax outb dx movl systemVitals

Definition at line 35 of file timer.S.

globl timerInt text code32 timerInt

Definition at line 35 of file timer.S.

Referenced by idt_init().

globl timerInt text code32 dx mov x20

Definition at line 35 of file timer.S.